package test;

import uk.ac.ic.doc.automed.p2p.state.PeerStateHandler;
import uk.ac.ic.doc.automed.util.Debugger;
import uk.ac.ic.doc.rodex.p2p.DirectoryServicePeer;
import uk.ac.ic.doc.rodex.p2p.Peer;


/**
 * TestPeerEnv.java<br><br>
 *
 *
 *
 * @author Duc M Le  <a href="mailto:dmle@doc.ic.ac.uk"><i>dmle@doc.ic.ac.uk</i></a>
 * <br>Created on August 30, 2006
 * <br>Department of Computing, Imperial College
 */

public class TestPeerEnv {
  
  /**
   * Creates a new instance of TestPeerEnv
   */
  public TestPeerEnv() throws Exception {
    Peer p1 = Peer.newPeerProcess("p1", new PeerStateHandler(), null);
    Peer p2 = Peer.newPeerProcess("p2", new PeerStateHandler(), null);
    Peer dsp = DirectoryServicePeer.getInstance("dsp", new PeerStateHandler());
    
//    p1.initEnv();
//    p2.initEnv();
//    dsp.initEnv();
  }
  
  public static void main(String[] args) throws Exception {
    Debugger.setSectionDebugLevel(args);
    TestPeerEnv test = new TestPeerEnv();
  }
  
}
